Package net.shibboleth.shared.primitive

# Class CleanerSupport

java.lang.Object
net.shibboleth.shared.primitive.CleanerSupport

public final class CleanerSupport extends Object
Utility methods for working with `Cleaner`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
Logger.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CleanerSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static Cleaner`
`getInstance(Class<?> requester)`
Obtain a new `Cleaner` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Logger.

## Constructor Details

### CleanerSupport

private CleanerSupport()
Constructor.

## Method Details

### getInstance

@Nonnull public static Cleaner getInstance(@Nonnull Class<?> requester)
Obtain a new `Cleaner` instance.

Parameters:
  `requester` - the class which requests the cleaner instance
Returns:
  the cleaner instance